Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Deletes a webhook. Returns 204 with no body.
204
Required permission: alerts:manage
alerts:manage
cURL
curl --request DELETE \ --url https://api.igrisecurity.com/api/v1/webhooks/{id} \ --header 'Authorization: Bearer <token>'
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.igrisecurity.com/api/v1/webhooks/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.igrisecurity.com/api/v1/webhooks/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
{ "error": "Unauthorized" }
{ "error": "Forbidden", "required": "policies:write" }
{ "error": "Not found" }
An Igris API key. It acts with the current role and permission overrides of the member who created it.
Deleted.